Subject: bug#29033: [platform-testers] new snapshot available: gzip-1.8.32-4606

From: Bruno Haible <[email-masked]>
Date: Sun, 05 Nov 2017 03:20:27 +0100

Hi Paul,

> This is due to a bug in the Linux kernel, when it emulates 32-bit Linux atop a 
> 64-bit kernel. See:
> 
> https://bugzilla.redhat.com/show_bug.cgi?id=1419736

I see, you nailed it down already.

> I see that Assaf reported the same bug against gzip here:
> 
> https://bugs.gnu.org/25636#8
> 
> I don't see an easy way of working around the bug in gzip proper. It will become 
> a bigger deal when the year 2038 rolls around....
> 
> I suppose we could skip the test when running in 32-bit mode atop Linux x86-64, 
> though that sort of misses the point of doing the test.

The concept of "expected failure" fits here, I think. If the test suite would flag
this as an XFAIL rather than a FAIL, people would not report it.

AFAIU from the doc [1], the way to turn a FAIL into an XFAIL is to add something
like this in the Makefile.am:

  XFAIL_TESTS =
  if $host is x86_64-*-linux* and $HOST_CPU_C_ABI is i386
  XFAIL_TESTS += timestamp
  fi

Bruno

[1] https://www.gnu.org/software/automake/manual/html_node/Scripts_002dbased-Testsuites.html